Bug 139679 - kde sound system does not work correctly
kde sound system does not work correctly
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 09:26 EST by Nuno
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 23:38:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nuno 2004-11-17 09:26:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914

Description of problem:
My Fedora Core KDE sound system doesn't work correctly.

Videos are out of sync with the sound.

When different applications are running at the same time and are all
playing sounds, many times some of the applications stop playing the
sounds as they should, and when I close the others, I have to wait a
few minutes to hear sound again from any application. Other times,
there are huge delays. This never happens in Microsoft Windows for
example, where the sound always works perfectly, no matter how many
applications are running, and in Windows my sound board is
automatically and correctly detected.

While using XMMS to play songs, when I press the play button, the song
starts. But when I press other commands, like stop or pause, the song
only stops playing 10 seconds (more or less) after I pressed the button.

Also in XMMS, I have to select the aRTS output plug-in (it is with
this plug-in selected that I get the previously described error),
because if I choose ALSA as output plug-in and try to play a song, I
get this error:

"Couldn't open audio

Please check that:

Your soundcard is configured properly
You have the correct output plugin selected
No other program is blocking the soundcard"

All these sound problems don't exist if I log in to Gnome, there the
sound works well, much better than in KDE.

My sound card is mother board built-in, and has this specifications:

- Dual full-duplex Direct Sound Channels
- Hardware SoundBlaster Pro for real-mode DOS legacy compatibility
- 18-bit ADC & DAC resolution
- Support SPDIF out
- AC97 2.1, SPDIF, 5.1 channel support, built-in two stereo speakers

I'm not sure if it's a bug, or maybe something wrongly configured in
my Fedora Core system, KDE, or installed applications. I'm only using
bugzilla to report this, because I hope that someone can help or had
similar sound problems.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open XMMS
2. Select a song and press the play button
3. Stop a song

Actual Results:  I press the stop button and the sound only stops
playing 10 seconds after.

Expected Results:  It should happen as in Gnome, when the stop button
is pressed, the sound should stop immediatly.

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:47:35 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 23:38:05 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.